commit: 27ada98d41a8c73321e0d0e4cdc8997510ea0ff3
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 25 08:47:16 2020 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sat Jul 25 08:48:29 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27ada98d
dev-perl/Date-Simple: -r bump for EAPI7 + toolchain love
- EAPI7
- Fix LICENSE
- Improve deps
- Enable parallel tests
- Ensure CFLAGS passed to make/compiler
Package-Manager: Portage-2.3.103, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>
dev-perl/Date-Simple/Date-Simple-3.30.0-r2.ebuild | 32 +++++++++++++++++++++++
1 file changed, 32 insertions(+)
diff --git a/dev-perl/Date-Simple/Date-Simple-3.30.0-r2.ebuild
b/dev-perl/Date-Simple/Date-Simple-3.30.0-r2.ebuild
new file mode 100644
index 00000000000..ca693870c5d
--- /dev/null
+++ b/dev-perl/Date-Simple/Date-Simple-3.30.0-r2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=IZUT
+DIST_VERSION=3.03
+inherit perl-module
+
+DESCRIPTION="A simple date object"
+
+SLOT="0"
+LICENSE="|| ( Artistic GPL-2+ )"
+KEYWORDS="~amd64 ~arm ~x86 ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ virtual/perl-Scalar-List-Utils
+"
+BDEPEND="
+ virtual/perl-ExtUtils-MakeMaker
+ test? (
+ virtual/perl-Test-Simple
+ )
+"
+src_compile() {
+ mymake=(
+ "OPTIMIZE=${CFLAGS}"
+ )
+ perl-module_src_compile
+}